Summary: Simple perl utility for searching and alternatively displaying RFC's
Name: rfcutil
Version: 3.0
Release: 2
URL: http://www.dewn.com/rfc/
Source0: http://www.dewn.com/rfc/rfc.tar.gz
Patch0: index-path.patch
License: distributable
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: /usr/bin/perl

%description
This tool will allow you to specify a number of an RFC, or a string
that you're looking for, and return all related RFC's. You can also
throw in the -l switch and have it spawn lynx to view the RFC.

%prep
%setup -q -c rfc-util-%{version}
%patch0 -p1

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/rfc
install -m755 rfc $RPM_BUILD_ROOT%{_bindir}

%post
%{_bindir}/rfc -i > /dev/null 2>&1
chmod 666 %{_localstatedir}/lib/rfc/rfc-index > /dev/null 2>&1

%preun
rm -f %{_localstatedir}/lib/rfc/rfc-index > /dev/null 2>&1
rm -f %{_localstatedir}/lib/rfc/nmap-services > /dev/null 2>&1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/rfc
%dir %{_localstatedir}/lib/rfc

%changelog
* Thu Jan  4 2001 Tim Powers <timp@redhat.com>
- fixed bad group

* Fri Oct 27 2000 Tim Powers <timp@redhat.com>
- Initial build.
